Author Topic: Draw arc, turn into pline, joing together  (Read 2237 times)

0 Members and 1 Guest are viewing this topic.

TJAM51

  • Guest
Draw arc, turn into pline, joing together
« on: January 13, 2005, 04:58:54 PM »
How can I convert this macro into lisp?


Thanks

^C^Carc;\\\^C^Carc;\\\^C^Cpe;m;\\;y;j;;;

ronjonp

  • Needs a day job
  • Posts: 7527
Draw arc, turn into pline, joing together
« Reply #1 on: January 13, 2005, 05:22:42 PM »
Here's my ugly version:

Code: [Select]
(defun c:join (/ csnaps pt1 pt2 pt3 pt4 pt5)
  (setq csnaps (getvar 'osmode))
  (setvar "osmode" 0)
  (initget 1)
  (setq pt1 (getpoint "\nSelect arc start point:"))
  (initget 1)
  (setq pt2 (getpoint pt1 "\nSelect arc midpoint:"))
  (initget 1)
  (setq pt3 (getpoint pt2 "\nSelect arc endpoint:"))
  (command ".pline" pt1 "a" "s" pt2 pt3 "")
  (initget 1)
  (setq pt4 (getpoint pt3 "\nSelect second arc midpoint:"))
  (initget 1)
  (setq pt5 (getpoint pt4 "\nSelect second arc endpoint:"))
  (command ".pline" pt3 "a" "s" pt4 pt5 "")
  (command ".pedit" "last" "join" "cr" pt1 pt5 "" "")
  (setvar "osmode" csnaps)
  (princ)
)
:D  :D  :D

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

Anonymous

  • Guest
Draw arc, turn into pline, joing together
« Reply #2 on: January 13, 2005, 05:24:04 PM »
LOVE IT.......THANK YOU

ronjonp

  • Needs a day job
  • Posts: 7527
Draw arc, turn into pline, joing together
« Reply #3 on: January 13, 2005, 06:11:06 PM »
you're quite welcome :)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC